TKDICT(1p)

NAME
tkdict - a perl client for accessing network dictionary servers

SYNOPSIS
tkdict [OPTIONS]

DESCRIPTION
tkdict is a Perl/Tk client for the Dictionary server protocol (DICT), which is used to query natural dictionaries hosted on a remote machine.

At the moment it's not very user oriented, since I've just been creating an interface to the protocol.

There is more information available in the Help menu when running tkdict.

OPTIONS

-h server or -host server
    The hostname for the DICT server.

-p port or -port port
    Specify the port for connections (default is 2628, from RFC 2229).

-c string or -client string
    Specify the CLIENT identification string sent to the DICT server.

-help
    Display a short help message including command-line options.

-doc
    Display the full documentation for tkdict.

-version
    Display the version of tkdict

-verbose
    Display verbose information as tkdict runs.

-debug
    Display debugging information as tkdict runs. Useful mainly for developers.

KNOWN BUGS AND LIMITATIONS

•   tkdict doesn't know how to handle firewalls.

•   The authentication aspects of RFC 2229 aren't currently supported.

•   See the ToDo page under the Help menu.

SEE ALSO

www.dict.org
    The DICT home page, with all sorts of useful information. There are a number of other DICT clients available.

dict
    The C dict client written by Rik Faith; the options are pretty much lifted from Rik's client.

RFC 2229
    The document which defines the DICT network protocol.

    http://www.cis.ohio-state.edu/htbin/rfc/rfc2229.html

Net::Dict
    The perl module which implements the client API for RFC 2229. It includes a command-line perl client, dict, as well as tkdict.

VERSION
$Revision: 1.1.1.1 $

AUTHOR
Neil Bowers <neil@bowers.com>

COPYRIGHT
Copyright (C) 2001-2002 Neil Bowers. All rights reserved.

This script is free software; you can redistribute it and/or modify it under the same terms as Perl itself.